List Approval Requests
curl --request GET \
--url https://api.example.com/v1/workflow-approvals{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": 123,
"trigger_type": "<string>",
"trigger_context": {},
"reason": "<string>",
"confidence": 123,
"notifier_type": "<string>",
"notifier_channel": "<string>",
"status": "<string>",
"responder_id": "<string>",
"responded_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"execution_result": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workflow_name": "<string>",
"workflow_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_agent_key_prefix": "<string>"
}
],
"meta": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}
}Workflow Approvals
List Approval Requests
List workflow approval requests. Filterable by status and workflow_uuid.
GET
/
v1
/
workflow-approvals
List Approval Requests
curl --request GET \
--url https://api.example.com/v1/workflow-approvals{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": 123,
"trigger_type": "<string>",
"trigger_context": {},
"reason": "<string>",
"confidence": 123,
"notifier_type": "<string>",
"notifier_channel": "<string>",
"status": "<string>",
"responder_id": "<string>",
"responded_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"execution_result": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workflow_name": "<string>",
"workflow_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_agent_key_prefix": "<string>"
}
],
"meta": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
Use this file to discover all available pages before exploring further.
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Items per page (max 500)
Required range:
1 <= x <= 500⌘I

